%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-tox
Version:       4.11.3
Release:       1mamba
Summary:       A generic virtualenv management and test command line tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://tox.readthedocs.org/
Source:        https://pypi.debian.net/tox/tox-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cachetools)
BuildRequires: python3.11dist(chardet)
BuildRequires: python3.11dist(colorama)
BuildRequires: python3.11dist(filelock)
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(platformdirs)
BuildRequires: python3.11dist(pluggy)
BuildRequires: python3.11dist(pyproject-api)
BuildRequires: python3.11dist(virtualenv)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tox-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/tox; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/tox*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Wed Nov 08 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.3-1mamba
- package created using the webbuild interface
